package com.cim.idm.exception;

import lombok.Data;

@Data
public class BaseException extends RuntimeException{
    String code;

    String message;

    public BaseException(){
        super();
    }

    public BaseException(String message){
        super(message);
        this.code = "204";
        this.message = message;
    }

    public BaseException(BaseErrorEnum baseErrorEnum){
        super(baseErrorEnum.getCode());
//        this.code= baseErrorEnum.getCode();
        this.code= "204";
        this.message= baseErrorEnum.getMessage();
    }
}
